Package org.apache.cxf.interceptor

## Class OneWayProcessorInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.OneWayProcessorInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`

      public class OneWayProcessorInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `USE_ORIGINAL_THREAD` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OneWayProcessorInterceptor()` |
    `OneWayProcessorInterceptor​(String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleFault​(Message message)` | Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
    `void` | `handleMessage​(Message message)` | Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USE_ORIGINAL_THREAD

          public static final String USE_ORIGINAL_THREAD

  - ### Constructor Detail

    - #### OneWayProcessorInterceptor

          public OneWayProcessorInterceptor()

    - #### OneWayProcessorInterceptor

          public OneWayProcessorInterceptor​(String phase)

  - ### Method Detail

    - #### handleFault

          public void handleFault​(Message message)

      Description copied from interface: `Interceptor`
      Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
      Specified by:
        `handleFault` in interface `Interceptor<Message>`
      Overrides:
        `handleFault` in class `AbstractPhaseInterceptor<Message>`

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.